using Newtonsoft.Json;

namespace Managing.Infrastructure.Evm.Models.Proxy;

public class ClaimableFundingFees
{
    [JsonProperty("totalUsdc")] public double TotalUsdc { get; set; }
}

public class ClaimableUiFees
{
    [JsonProperty("totalUsdc")] public double TotalUsdc { get; set; }
}

public class Data
{
    [JsonProperty("claimableFundingFees")] public ClaimableFundingFees ClaimableFundingFees { get; set; }

    [JsonProperty("claimableUiFees")] public ClaimableUiFees ClaimableUiFees { get; set; }

    [JsonProperty("rebateStats")] public RebateStats RebateStats { get; set; }
}

public class RebateStats
{
    [JsonProperty("totalRebateUsdc")] public double TotalRebateUsdc { get; set; }

    [JsonProperty("discountUsdc")] public double DiscountUsdc { get; set; }

    [JsonProperty("rebateFactor")] public double RebateFactor { get; set; }

    [JsonProperty("discountFactor")] public double DiscountFactor { get; set; }
}

public class ClaimingFeesResponse
{
    [JsonProperty("success")] public bool Success { get; set; }

    [JsonProperty("data")] public Data Data { get; set; }
}